Debian Bug report logs - #480134
rdesktop: CVE-2008-1802 remote code execution via crafted RDP redirect request

version graph

Package: rdesktop; Maintainer for rdesktop is Laszlo Boszormenyi (GCS) <gcs@debian.hu>; Source for rdesktop is src:rdesktop.

Reported by: Nico Golde <nion@debian.org>

Date: Thu, 8 May 2008 09:03:01 UTC

Severity: grave

Tags: patch, security

Fixed in version rdesktop/1.5.0-4+cvs20071006

Done: Laszlo Boszormenyi (GCS) <gcs@debian.hu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
Bug#480134; Package rdesktop. Full text and rfc822 format available.

Acknowledgement sent to Nico Golde <nion@debian.org>:
New Bug report received and forwarded. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nico Golde <nion@debian.org>
To: submit@bugs.debian.org
Subject: rdesktop: CVE-2008-1802 remote code execution via crafted RDP redirect request
Date: Thu, 8 May 2008 10:56:46 +0200
[Message part 1 (text/plain, inline)]
Package: rdesktop
Severity: grave
Tags: security patch

Hi,
the following CVE (Common Vulnerabilities & Exposures) id was
published for rdesktop.


CVE-2008-1802[0]:
| Remote exploitation of a BSS overflow vulnerability in rdesktop, as
| included in various vendors' operating system distributions, allows
| attackers to execute arbitrary code with the privileges of the
| logged-in user.
| 
| The vulnerability exists within the code responsible for reading in an
| RDP redirect request. This request is used to redirect an RDP
| connection from one server to another. When parsing the redirect
| request, the rdesktop client reads several 32-bit integers from the
| request packet. These integers are then used to control the number of
| bytes read into statically allocated buffers. This results in several
| buffers located in the BSS section being overflowed, which can lead to
| the execution of arbitrary code.

Note the description is not yet online on the mitre site, this is from the iDefense advisory.

Patch: http://rdesktop.cvs.sourceforge.net/rdesktop/rdesktop/rdp.c?r1=1.101&r2=1.102&view=patch

If you fix the vulnerability please also make sure to include the
CVE id in your changelog entry.

For further information see:

[0] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-1802
    http://security-tracker.debian.net/tracker/CVE-2008-1802

-- 
Nico Golde - http://www.ngolde.de - nion@jabber.ccc.de - GPG: 0x73647CFF
For security reasons, all text in this mail is double-rot13 encrypted.
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Nico Golde <nion@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 480134-close@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
To: 480134-close@bugs.debian.org
Subject: Bug#480134: fixed in rdesktop 1.5.0-4+cvs20071006
Date: Sat, 10 May 2008 08:47:17 +0000
Source: rdesktop
Source-Version: 1.5.0-4+cvs20071006

We believe that the bug you reported is fixed in the latest version of
rdesktop, which is due to be installed in the Debian FTP archive:

rdesktop_1.5.0-4+cvs20071006.diff.gz
  to pool/main/r/rdesktop/rdesktop_1.5.0-4+cvs20071006.diff.gz
rdesktop_1.5.0-4+cvs20071006.dsc
  to pool/main/r/rdesktop/rdesktop_1.5.0-4+cvs20071006.dsc
rdesktop_1.5.0-4+cvs20071006_amd64.deb
  to pool/main/r/rdesktop/rdesktop_1.5.0-4+cvs20071006_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 480134@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laszlo Boszormenyi (GCS) <gcs@debian.hu> (supplier of updated rdesktop package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 08 May 2008 18:54:16 +0200
Source: rdesktop
Binary: rdesktop
Architecture: source amd64
Version: 1.5.0-4+cvs20071006
Distribution: unstable
Urgency: high
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Changed-By: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Description: 
 rdesktop   - RDP client for Windows NT/2000 Terminal Server
Closes: 480133 480134 480135
Changes: 
 rdesktop (1.5.0-4+cvs20071006) unstable; urgency=high
 .
   * Fix three security bugs by backporting them to this CVS snapshot, namely
     CVE-2008-1801 , CVE-2008-1802 and CVE-2008-1803
     (closes: #480133, #480134, #480135).
Checksums-Sha1: 
 1ded25bab897d8650068f05d6b4ec510ada5e7cd 1071 rdesktop_1.5.0-4+cvs20071006.dsc
 dfa9fdd6a438a958a7bbd878b532fc90a9dd68df 233418 rdesktop_1.5.0-4+cvs20071006.diff.gz
 4893aadce4bc53dbb107dd146d7d851f1eb8401b 144940 rdesktop_1.5.0-4+cvs20071006_amd64.deb
Checksums-Sha256: 
 a893b98256ab5cf28675c9c4eb8fbb0d3141e51daebbfabbe8c1a91bd398c47a 1071 rdesktop_1.5.0-4+cvs20071006.dsc
 f2d34edae95d23a8ae411ebef1d061ff5e0483aab2e7599d4685e0b150f4301f 233418 rdesktop_1.5.0-4+cvs20071006.diff.gz
 455f84d8311dd9b8aae511ef731d6be5fa188b449147cadee68580ac5d42ea4a 144940 rdesktop_1.5.0-4+cvs20071006_amd64.deb
Files: 
 49bae2acdb4fa2b0e963cd1feaadf7eb 1071 x11 optional rdesktop_1.5.0-4+cvs20071006.dsc
 3104a3bd7ecbf22794e882bb340bcf44 233418 x11 optional rdesktop_1.5.0-4+cvs20071006.diff.gz
 35515f467b14eb59cbf449ba70016d7a 144940 x11 optional rdesktop_1.5.0-4+cvs20071006_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkgkvHIACgkQMDatjqUaT90EaQCfXxJjzA5dQ50r99lHpMqQC8yQ
E0cAoIRmlnz13ZlIVzeKNRhOoPvW7VMJ
=Sx1W
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Jun 2008 07:32:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:09:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.